Name: gnome-applet-netspeed    
Version: 0.16
Release: %mkrel 3
Summary: GNOME applet that shows traffic on a network device

Group: Graphical desktop/GNOME
License: GPLv3   
URL: http://projects.gnome.org/netspeed/
Source0: http://launchpadlibrarian.net/49741506/netspeed_applet-%{version}.tar.gz
BuildRequires: pkgconfig, gettext, scrollkeeper, intltool
BuildRequires: perl-XML-Parser, gnome-doc-utils
BuildRequires: libgnomeui2-devel >= 2.8, libgtop2.0-devel
BuildRequires: gnome-panel-devel >= 2.8, libnotify-devel
BuildRequires: libiw-devel >= 28pre9
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Provides: netspeed_applet = %{version}-%{release}
Obsoletes: netspeed_applet <= 0.12.1

%description
netspeed is a little GNOME applet that shows the traffic on a
specified network device (for example eth0) in kbytes/s.

%prep
%setup -q -n netspeed_applet-%{version}

%build
%configure2_5x --disable-scrollkeeper
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang netspeed_applet

%post
scrollkeeper-update -q -o %{_datadir}/omf/netspeed_applet || : 

%clean
rm -rf $RPM_BUILD_ROOT

%files -f netspeed_applet.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%doc %{_datadir}/gnome/help/netspeed_applet/
%{_libexecdir}/netspeed_applet2
%{_libdir}/bonobo/servers/*
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/omf/netspeed_applet/


%changelog
* Thu Apr 28 2011 ahmad <ahmad> 0.16-3.mga1
+ Revision: 92674
- Drop the %%postun scriptlet, already handled by an rpm filetrigger
- Fix the License tag
- Add BR libiw-devel
- imported package gnome-applet-netspeed


* Fri Oct 01 2010 Funda Wang <fwang@mandriva.org> 0.16-1mdv2011.0
+ Revision: 582267
- new version 0.16

* Tue Feb 02 2010 Funda Wang <fwang@mandriva.org> 0.14-5mdv2010.1
+ Revision: 499658
- fix str fmt

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.14-4mdv2009.0
+ Revision: 246350
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.14-2mdv2008.1
+ Revision: 136447
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 08 2007 Funda Wang <fwang@mandriva.org> 0.14-2mdv2008.0
+ Revision: 24999
- Fix wrong rpm group

* Mon Apr 30 2007 Jérôme Soyer <saispo@mandriva.org> 0.14-1mdv2008.0
+ Revision: 19503
- Fix typo
- Add docutils
- Import gnome-applet-netspeed

